403Webshell
Server IP : 167.99.254.82  /  Your IP : 216.73.216.188
Web Server : Apache
System : Linux host.techisquad.com 5.15.0-190-generic #200-Ubuntu SMP Fri Aug 7 15:06:04 UTC 2026 x86_64
User : pawluxera ( 1011)
PHP Version : 8.1.34
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /etc/etckeeper/pre-install.d/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /etc/etckeeper/pre-install.d/50uncommitted-changes
#!/bin/sh
set -e

if etckeeper unclean; then
	if [ "$AVOID_COMMIT_BEFORE_INSTALL" = 1 ]; then
		echo "" >&2
		echo "** etckeeper detected uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run" >&2 
		echo "** Aborting $HIGHLEVEL_PACKAGE_MANAGER run. Manually commit and restart." >&2
		echo "" >&2
		exit 1
	fi
	if ! etckeeper commit "saving uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run"; then
		echo "warning: etckeeper failed to commit changes in /etc using $VCS" >&2
	fi
fi

Youez - 2016 - github.com/yon3zu
LinuXploit